MAPI
AudioSuno

Generate from Inspiration

Submit this Suno capability through POST /v1/music/generations with model: "suno-inspo".

POST
/v1/music/generations

Authorization

BearerAuth

AuthorizationBearer <token>

使用 MAPI Bearer Token 认证。格式:Authorization: Bearer sk-xxxxxx。

In: header

Request Body

application/json

model*string

固定填写 suno-inspo。

audio_urls*array<string>

1–4 个可公开访问的音频 URL 数组。

Items1 <= items <= 4
version?string

公共版本:v6 / v6-wild / v6-mini;省略时默认 v6。使用 custom_model_id 时省略本字段。

Default"v6"
Value in"v6" | "v6-wild" | "v6-mini"
custom_model_id?string

创建模型任务返回的完整 UUID,与 version 互斥。

prompt?string

歌词 / 内容。

title?string

标题。

tags?string

风格标签。

negative_tags?string

排除的风格标签。

style_weight?number

风格权重,0.00–1.00。

Range0 <= value <= 1
weirdness?number

创意度权重,0.00–1.00。新请求请使用本字段;兼容旧名 weirdness_constraint。

Range0 <= value <= 1
weirdness_constraint?number

weirdness 的兼容旧名。新请求请改用 weirdness。

Range0 <= value <= 1
audio_weight?number

音频权重,0.00–1.00。

Range0 <= value <= 1
vocal_gender?string

人声性别:Male / Female。

Value in"Male" | "Female"
auto_lyrics?boolean

true 表示对输入歌词进行二次创作。

variety?string

风格变化程度。可省略。

Value in"off" | "normal" | "high" | "extra" | "max"
max_mode?boolean

是否启用 Max 模式;启用后按普通售价 2 倍计费。

Defaultfalse
audio_format?string

输出音频格式。

Value in"mp3" | "m4a" | "wav"

Response Body

application/json

application/json

curl -X POST "https://loading/v1/music/generations" \  -H "Content-Type: application/json" \  -d '{    "model": "suno-inspo",    "version": "v6",    "audio_urls": [      "https://example.com/reference-1.mp3",      "https://example.com/reference-2.wav"    ],    "tags": "dreamy pop"  }'
{
  "code": 200,
  "message": "success",
  "data": [
    {
      "status": "submitted",
      "task_id": "task_aehCmxJ5YUNOIQGgkhvxaco4T9P2h3Dw"
    }
  ]
}
{
  "code": "invalid_request",
  "message": "inspo requires 1-4 audio_urls, got 0",
  "data": null
}

Last updated on